Benutzerhandbuch
Version 1.9 — Rev. 3

# PHP kompilieren

### Zusätzliche PATH-Umgebungsvariablen

#### Beschreibung

Zusätzliche PATH-Werte, die für Build-Skripte an die aktuellen PATH-Umgebungsvariablen angehängt werden.

#### Syntax

Pfadwerte, getrennt durch ":"

### Installationspfad-Präfix

#### Beschreibung

Legt den Wert für die Konfigurationsoption "--prefix" fest. Der standardmäßige Installationsort liegt unter dem Installationsverzeichnis von LiteSpeed Web Server.

#### Syntax

Pfad

#### Beispiel

/usr/local/lsws/lsphp5

#### Tipps

Information LiteSpeed Web Server kann mehrere PHP-Versionen gleichzeitig verwenden. Wenn Sie mehrere Versionen installieren, sollten Sie ihnen unterschiedliche Präfixe geben.

### Compiler-Flags

#### Beschreibung

Fügen Sie zusätzliche Compiler-Flags hinzu, zum Beispiel optimierte Compiler-Optionen.

#### Syntax

Unterstützte Flags sind CFLAGS, CXXFLAGS, CPPFLAGS, LDFLAGS. Verwenden Sie ein Leerzeichen, um verschiedene Flags zu trennen. Verwenden Sie einfache Anführungszeichen (keine doppelten Anführungszeichen) für Flag-Werte.

#### Beispiel

CFLAGS='-O3 -msse2 -msse3 -msse4.1 -msse4.2 -msse4 -mavx'

### Konfigurationsparameter

#### Beschreibung

Konfigurationsparameter für den PHP-Build. Apache-spezifische Parameter und der Wert "--prefix" werden automatisch entfernt, und "--with-litespeed" wird automatisch angehängt, wenn Sie auf Next Step klicken. (Das Präfix kann im Feld oben festgelegt werden.) So können Sie die Konfigurationsparameter einfach aus der phpinfo()-Ausgabe eines vorhandenen funktionierenden PHP-Builds kopieren und einfügen.

#### Syntax

Durch Leerzeichen getrennte Reihe von Optionen (mit oder ohne doppelte Anführungszeichen)

### Add-on-Module

#### Beschreibung

Wählen Sie die Add-on-Module aus, die Sie verwenden möchten. Wenn Sie eine hier nicht aufgeführte Version verwenden möchten, können Sie den Quellcode manuell aktualisieren. (Der Speicherort des Quellcodes wird in diesem Schritt des PHP-Builds in einer Eingabeaufforderung angezeigt.)

#### Syntax

Per Kontrollkästchen auswählen